Bug 491862 - Review Request: kde-style-skulpture - Classical three-dimensional style for KDE
Review Request: kde-style-skulpture - Classical three-dimensional style for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tejas Dinkar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 09:33 EDT by Jaroslav Reznik
Modified: 2009-04-21 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tejasdinkar: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-03-24 09:33:26 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/kde-style-skulpture/kde-style-skulpture.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/kde-style-skulpture/kde-style-skulpture-0.2.2-1.fc10.src.rpm
Description: Skulpture is a GUI style addon for KDE 4. It features a classical 
three-dimensional artwork with shadows and smooth gradients to enhance the
visual experience.

Skulpture has been designed to be light and easy on eyes; many distracting
borders or graphical elements have been removed or replaced by simpler
artwork.
Comment 1 Tejas Dinkar 2009-03-27 07:08:54 EDT
This is my first review, and I'm using this guide:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review

Points to Check on:

* package did NOT build on PPC. Please see http://koji.fedoraproject.org/koji/getfile?taskID=1260790&name=build.log for more details

* Is it possible to use %_qt4_plugindir rather than '%define qtplugindir %(qmake-qt4 -query QT_INSTALL_PLUGINS)'

Mandatory Tests:

* rpmlint passes with no errors or warnings:
$ rpmlint SRPMS/kde-style-skulpture-0.2.2-1.fc10.src.rpm RPMS/i386/kde-style-skulpture-0.2.2-1.fc10.i386.rpm RPMS/i386/kde-style-skulpture-debuginfo-0.2.2-1.fc10.i386.rpm SPECS/kde-style-skulpture.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

* package is named as per Package Naming Guidelines

* spec filename matched name

* Package meets Packaging Guidelines

* Package is GPLv3 licensed

* License verified in COPYING file

* %doc includes Copying

* spec in american english

* specfile is legible

* sources match the upstream

* package compiles on (at least i386)

* no ExcludeArch

* all dependencies listed

* no locales (not needed as this is a theme)

* package is not relocatable

* package does creates one directory. It uses directories from kde-filesystem (which it depends on implicitly)

* no file is listed more than once

* permissions correctly set

* clean section is correct

* package consistently uses macros

* package contains only code

* no doc subpackage required

* %doc files are optional

* no header files present, so no -devel package

* no static subpackage needed

* no pkgconfig files

* no library files with a suffix

* no -devel package

* no .la libtool archives present

* package is not a gui application, so need not run desktop-file-install

* package does not own files owned by other packages

* %install runs rm -rf %{buildroot}

* package is UTF-8 valid

Optional Items:

* Source package contains a COPYING file

* No translations in spec file

* Package does NOT build on all architecture: http://koji.fedoraproject.org/koji/taskinfo?taskID=1260789
Package fails to build on PPC architecture

* Package runs as advertises, and stlye resembles the screenshot upstream

* no scriptlets used

* no subpackages

* no pkgconfig files

* package has no file dependencies
Comment 2 Jaroslav Reznik 2009-03-27 08:37:16 EDT
Spec URL:
http://rezza.hofyland.cz/fedora/packages/kde-style-skulpture/kde-style-skulpture.spec
SRPM URL:
http://rezza.hofyland.cz/fedora/packages/kde-style-skulpture/kde-style-skulpture-0.2.2-3.fc10.src.rpm

- uses _qt4_plugindir
- ExcludeArch ppc for Fedora <= 10 (doesn't work for --scratch build because it's fc10 package)
Comment 3 Tejas Dinkar 2009-03-27 11:15:30 EDT
New spec looks good.

Passes Review
Comment 4 Jaroslav Reznik 2009-03-27 11:18:25 EDT
Thanks for review.

Note: Package contains ExcludeArch: PPC for Fedora 10, see bug dependency. Trying to prepare workaround.
Comment 5 Jaroslav Reznik 2009-03-27 11:20:13 EDT
New Package CVS Request
=======================
Package Name: kde-style-skulpture
Short Description: Classical three-dimensional style for KDE 
Owners: jreznik
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-03-27 16:24:53 EDT
cvs done.
Comment 7 Fedora Update System 2009-03-30 08:42:42 EDT
kde-style-skulpture-0.2.2-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kde-style-skulpture-0.2.2-4.fc9
Comment 8 Fedora Update System 2009-03-30 08:43:39 EDT
kde-style-skulpture-0.2.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kde-style-skulpture-0.2.2-4.fc10
Comment 9 Fedora Update System 2009-03-31 16:39:16 EDT
kde-style-skulpture-0.2.2-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kde-style-skulpture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3156
Comment 10 Fedora Update System 2009-04-02 13:15:12 EDT
kde-style-skulpture-0.2.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-style-skulpture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3215
Comment 11 Fedora Update System 2009-04-14 11:54:45 EDT
kde-style-skulpture-0.2.2-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kde-style-skulpture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3156
Comment 12 Fedora Update System 2009-04-14 11:56:21 EDT
kde-style-skulpture-0.2.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-style-skulpture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3215
Comment 13 Fedora Update System 2009-04-21 20:50:42 EDT
kde-style-skulpture-0.2.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-04-21 21:07:11 EDT
kde-style-skulpture-0.2.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.